<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ProductRepository")
 *
 * Warning: Be careful not to use reserved SQL keywords as your table or column
 * names (e.g. GROUP or USER), Or, configure the table name with the
 * ORM\Table(name="groups") annotation above the class or configure the column
 * name with the name="group_name" option.
 */
class Product
{
  /**
   * @ORM\Id
   * @ORM\GeneratedValue
   * @ORM\Column(type="integer")
   */
  private $id;

  /**
   * @ORM\Column(type="string", length=100))
   */
  private $name;

  /**
   * @ORM\Column(type="decimal", scale=2, nullable=true)
   */
  private $price;

  /**
   * @ORM\Column(type="text"))
   */
  private $description;
}
